org.eclipse.jetty.server.handler.jmx

## Class ContextHandlerMBean

- java.lang.Object
- - org.eclipse.jetty.jmx.ObjectMBean
  - - org.eclipse.jetty.server.handler.jmx.AbstractHandlerMBean
    - - org.eclipse.jetty.server.handler.jmx.ContextHandlerMBean

All Implemented Interfaces:
  DynamicMBean

    public class ContextHandlerMBean
    extends AbstractHandlerMBean

### Field Summary

### Fields inherited from class org.eclipse.jetty.jmx.ObjectMBean

`_managed`

### Constructor Summary

Constructors
Constructor and Description
`ContextHandlerMBean(Object managedObject)`

### Method Summary

Methods
`Map` `getContextAttributes()`
`void` `removeContextAttribute(String name)`
`void` `setContextAttribute(String name, Object value)`
`void` `setContextAttribute(String name, String value)`

### Methods inherited from class org.eclipse.jetty.server.handler.jmx.AbstractHandlerMBean

`getContextName, getObjectContextBasis, getObjectNameBasis`

### Methods inherited from class org.eclipse.jetty.jmx.ObjectMBean

`defineAttribute, getAttribute, getAttributes, getManagedObject, getMBeanContainer, getMBeanInfo, getObjectName, invoke, mbeanFor, setAttribute, setAttributes, setMBeanContainer`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### ContextHandlerMBean

    public ContextHandlerMBean(Object managedObject)

### Method Detail

#### getContextAttributes

    public Map getContextAttributes()

#### setContextAttribute

    public void setContextAttribute(String name,
                           Object value)

#### setContextAttribute

    public void setContextAttribute(String name,
                           String value)

#### removeContextAttribute

    public void removeContextAttribute(String name)